# Interface de ligne de commande - Documentation FitTrackee 0.7.28

Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# Interface de ligne de commande

Une interface de ligne de commande (CLI) est disponible pour gérer la base de données, les jetons OAuth2 et les utilisateurs.

    $ ftcli
    Usage: ftcli [OPTIONS] COMMAND [ARGS]...

      FitTrackee Command Line Interface

    Options:
      --help  Show this message and exit.

    Commands:
      db      Manage database.
      oauth2  Manage OAuth2 tokens.
      users   Manage users.

Avertissement

Les commandes suivantes sont désormais obsolètes et seront supprimées dans une prochaine version :
- `fittrackee_set_admin`
- `fittrackee_upgrade_db`
- `fittrackee_worker` (disabled)

## Base de données

### `ftcli db drop`

Nouveau dans la version 0.6.5.

Vider la base de données et supprimer les fichiers téléchargés, uniquement pour les environnements de développement.

### `ftcli db upgrade`

Nouveau dans la version 0.6.5.

Appliquer les migrations.

## OAuth2

### `ftcli oauth2 clean`

Nouveau dans la version 0.7.0.

Supprimer les jetons expirés depuis plus d’un certain nombre de jours

Options | Description
--- | ---
`--days` | Nombre de jours.

## Utilisateurs

### `ftcli users clean_archives`

Nouveau dans la version 0.7.13.

Supprimer les demandes d’export et les archives associées créées depuis plus d’un certain nombre de jours.

Options | Description
--- | ---
`--days` | Nombre de jours.

### `ftcli users clean_tokens`

Nouveau dans la version 0.7.0.

Supprimer les jetons de la liste noire expirés depuis plus d’un certain nombre de jours.

Options | Description
--- | ---
`--days` | Nombre de jours.

### `ftcli users create`

Nouveau dans la version 0.7.15.

Créer un compte utilisateur.

Note

- le compte nouvellement créé est déjà actif.

- le CLI permet de créer des utilisateurs lorsque l’enregistrement est désactivé.

Arguments/options | Description
--- | ---
`USERNAME` | Nom de l’utilisateur.
`--email EMAIL` | Adresse électronique de l’utilisateur (obligatoire).
`--password PASSWORD` | Mot de passe de l’utilisateur (s’il n’est pas fourni, un mot de passe aléatoire est généré).

### `ftcli users export_archives`

Nouveau dans la version 0.7.13.

Traite les demandes d’export des données utilisateurs incomplètes. Peut être utilisé si redis n’est pas activé (pas de workers dramatiq en cours d’exécution).

Options | Description
--- | ---
`--max` | Nombre maximal de demandes d’export à traiter.

### `ftcli users update`

Nouveau dans la version 0.6.5.

Modifier le compte d’un utilisateur (droits d’administration, statut actif, email et mot de passe).

Arguments/options | Description
--- | ---
`USERNAME` | Nom de l’utilisateur.
`--set-admin BOOLEAN` | Ajouter/supprimer des droits d’administration (lors de l’ajout de droits d’administration, le compte de l’utilisateur est également activé s’il ne l’est pas.
`--activate` | Activer le compte d’un utilisateur.
`--reset-password` | Réinitialiser le mot de passe de l’utilisateur (un nouveau mot de passe sera affiché).
`--update-email EMAIL` | Mettre à jour l’adresse électronique de l’utilisateur.